# sheet_music

A Flutter Widget for Displaying Sheet Music.

## Features

### General Features
- [ ] adjustable note size
- [ ] different time signatures
- [ ] multiple notes and rests of different divisions (up to 32th)
  - [ ] including triplets
  - [ ] ability of splicing different notes
- [ ] automatic recognition whether a bar is full or not
  - [ ] ability to add pick-up notes
- [ ] speed / tempo indication in bpm
  - [ ] speed / tempo change within the score
- [ ] musical details
  - [ ] dots
  - [ ] accentuation
  - [ ] staccato
  - [ ] ties (sustaining notes)
  - [ ] dynamics (volume indications)
  - [ ] crescendos
  - [ ] trills
- [ ] multiple parts in one musical score
  - [ ] different sheet music modes in one musical score
- [ ] insert comments within the score (for solo passages, other peculiarities)
- [ ] sheet scrollable or with carriage returns

### Classic Sheet Music Mode specific
- [ ] notes with different pitches
  - [ ] insert sharps and flats
  - [ ] utilize 5-line-grid
- [ ] treble clef and bass clef
- [ ] scales / keys
- [ ] chords (triads, four-note harmony etc.)

### Percussion Sheet Music Mode specific
- [ ] percussion clef
- [ ] 1-line-grid (optional)
- [ ] fivelets, septuplets, ninelets
- [ ] flams
- [ ] grace notes (double, triple)
- [ ] double strokes
- [ ] drum rolls
  - [ ] doubles (one cross line)
  - [ ] two cross lines
  - [ ] three cross lines
- [ ] different head styles (cross, square, ...)
- [ ] hand indication

### Midi View (DAW-Mode) specific
- [ ] show sheet in DAW style midi view
- [ ] adjust tile size
- [ ] adjust tile color
- [ ] specify rows with different pitches
)
